MPI_Finalized(3)

NAME
MPI_Finalized - Indicates whether MPI_Finalize has completed.

SYNOPSIS
#include <mpi.h>
int MPI_Finalized(int *flag)

OUTPUT PARAMETER
flag
    - Flag is true (1) if MPI_Finalize has been called and false (0) otherwise.

NOTES
Note that this function does not indicate whether MPI_INIT has been called. It only indicates whethere MPI_FINALIZE has been called. This function always returns MPI_SUCCESS .

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

ACKNOWLEDGEMENTS
The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
finalized.c